# Nicholas Warzin

*Seasoned software development leader with experience scaling up teams and software systems in startup and government settings. Proven track record in strategic planning, team building, and product engineering. Excels in both strategic and hands-on roles with a keen focus on product and impact.*

[416.706.9935](tel:14167069935)  
[nicholas@warzin.com](mailto:nicholas@warzin.com)  
[https://github.com/tapesonthefloor](https://github.com/tapesonthefloor)

## Experience
### Alvéole

**Director, Software Development**  
*December 2021 - present*

- Spearheaded the structuring and scaling of a Product Engineering team from 4 to 14 members, specialized into three business domain-focused squads.
- Architected and implemented CI/CD pipelines and a git-flow branching strategy, significantly enhancing team independence and product reliability.
- Began the decomposition of a monolithic legacy backend into domain-driven microservices, enabling efficient scaling and parallel development.
- Coordinated with the new VP of Product and other executives to establish a quarterly roadmap, aligning engineering tasks with business objectives.
- Elevated the company's strategic vision by presenting to the executive committee an integration of our technology into core business strategies, leading to a significant Series A investment in 2022.
- Mentored all direct reports through weekly 1-on-1s, code reviews, and HR services such as Humi, with a focus on career growth and professional development.

**Software Development Manager**  
*October 2018 - December 2021*

- Initiated and defined the role, building and expanding a small but effective agile team from 2 to 4 members.
- Orchestrated the revamp of contractor scheduling and logistics infrastructure, facilitating an operations expansion from 4 cities to nearly 40 within a few years.
- Performed multiple agile roles, maintaining daily hands-on involvement in all facets of the development lifecycle.
- Transformed our public-facing app MyHive from a static datasheet to a dynamic social networking platform, leading to a significant uptick in client engagement and contributing nearly a million dollars in new recurring revenue.
- Advocated for and secured an increased budget for the product engineering team by demonstrating direct revenue impact and new product avenues.

### Legal Aid Ontario

**Web developer**  
*April 2008 - November 2017*

- Designed and built web-based projects focused on closing the justice gap, significantly increasing legal resource availability for at-risk populations in Ontario.
- Provided digital strategy, systems administration, database administration, and full-stack web development for a variety of internal and external web properties including the corporate intranet and all client-facing websites as a member of the Digital Communications team.
- Planned and developed the agency-wide intranet on Microsoft SharePoint, including advanced theme and custom web part development.
- Migrated multiple web properties to FOSS platforms, and moved old development stacks to modern best practice version control and deployment environments.
- Developed and rolled out project management software Redmine, including full-stack development and support, custom plugin development, and adapted best practice management frameworks to our teams (agile, Scrum).
- Met with internal clients to assess needs, developed project strategies, presented project charters to executive mananagement, and managed projects and teams through the entire project life cycle.

### Town of Caledon Public Library

**Network technician, Web developer**  
*1998 - 2003*

- Developed and implemented first-generation digital systems for a seven-branch public library system, including a searchable online catalog, branch transfer functionality, and connectivity with emergent inter-library loan systems
- Responsible for the hardware and network administration of all seven branches
- Developed internal library software and the external website, provided graphic design work

### Freelance
**Full-stack software solution provider**  
*1996 - present*

- Provided software product, data governance, and team scaling advice to startups, government agencies, and individuals
- Developed custom CMS solutions (Drupal, WordPress themes and headless implementations, Gatsby, etc.), plugins, and middleware

## Education

Studied Network Architecture, Canadian History, Astronomy, and Architecture at Humber College and University of Toronto over the course of six years. Earned several domain-specific certificates relevant to software development and leadership.

## Skills

**Technical Skills:** Technical architecture, DevOps & CI/CD & Infrastructure-as-code, Agile methodologies, Development analysis & stakeholder reporting, Behavior-driven testing and development, Node/Typescript, .NET, Python, PHP

**Soft Skills**: Strategic planning, Leadership & team building, Effective communication, Mentorship & coaching, Stakeholder management, Budget & resource management, Change management, Product vision & roadmapping, Empathy & emotional intelligence, Impact-focused
